Bug 834916 - [RFE] No LDAP support built into squidGuard RPM
Summary: [RFE] No LDAP support built into squidGuard RPM
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squidGuard
Version: 17
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-24 21:49 UTC by Dale Macartney
Modified: 2012-07-16 17:01 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-07-16 17:01:43 UTC


Attachments (Terms of Use)

Description Dale Macartney 2012-06-24 21:49:00 UTC
Description of problem:
squidGuard does not allow the use of LDAP for a backend user/group store. 

Version-Release number of selected component (if applicable):
squidGuard 1.4 (ldap support not present from EPEL 5 through to F17.Before EPEL 5 I am uncertain.)

How reproducible:
Every time

Steps to Reproduce:
1. yum install squid squidGuard
2. configure LDAP for a group search
3. Test
  
Actual results:
No matter what LDAP parameters are used, it will fail to process. 

Expected results:
The ability to create rules based on LDAP group memberships. 

Additional info:
In Fedora 17, I recompiled the src rpm to include "--with-ldap=yes" as this is not set. The catch to enabling this, is it creates a large number of additional dependent packages (35 more). 

Possible options could be either adding ldap support to the existing RPM, however due to the large amount of extra packages that most users may or may not need, it might also be suitable to create a seperate package as an alternative if the use case justifies it. e.g squidGuard-ldap

Comment 1 Gwyn Ciesla 2012-06-27 12:55:41 UTC
I've added this in the main package in rawhide.  Could you list additional deps?  The only direct additional dep is ldap, but all of my systems already have that so it's difficult for me to suss out the difference.

Also, is there anywhere else in particular you need this, or is rawhide sufficient?

Comment 2 Dale Macartney 2012-06-27 17:18:40 UTC
Here's all the dep info for Fedora 17

Dependencies Resolved

===============================================================================================================================================================================
 Package                                            Arch                              Version                                         Repository                          Size
===============================================================================================================================================================================
Installing:
 squidGuard                                         x86_64                            1.4-11.fc17                                     custom                             7.0 M
Installing for dependencies:
 compat-db-headers                                  noarch                            4.7.25-20.fc17                                  fedora                              57 k
 compat-db46                                        x86_64                            4.6.21-20.fc17                                  fedora                             699 k
 libecap                                            x86_64                            0.2.0-3.fc17                                    fedora                              18 k
 libtool-ltdl                                       x86_64                            2.4.2-3.fc17                                    fedora                              45 k
 perl-AnyEvent                                      noarch                            5.27-7.fc17                                     fedora                             319 k
 perl-AnyEvent-AIO                                  noarch                            1.1-8.fc17                                      fedora                             8.4 k
 perl-AnyEvent-BDB                                  noarch                            1.1-7.fc17                                      fedora                             8.4 k
 perl-Async-MergePoint                              noarch                            0.03-7.fc17                                     fedora                              19 k
 perl-BDB                                           x86_64                            1.88-5.fc17                                     fedora                              72 k
 perl-Compress-Raw-Bzip2                            x86_64                            2.052-1.fc17                                    updates                             32 k
 perl-Compress-Raw-Zlib                             x86_64                            2.052-1.fc17                                    updates                             59 k
 perl-Coro                                          x86_64                            6.07-3.fc17                                     fedora                             247 k
 perl-Curses                                        x86_64                            1.28-5.fc17                                     fedora                              87 k
 perl-DBI                                           x86_64                            1.617-1.fc17                                    fedora                             781 k
 perl-Digest                                        noarch                            1.17-2.fc17                                     fedora                              22 k
 perl-Digest-MD5                                    x86_64                            2.51-212.fc17                                   updates                             48 k
 perl-EV                                            x86_64                            4.03-8.fc17                                     fedora                             252 k
 perl-Encode-Locale                                 noarch                            1.02-5.fc17                                     fedora                              15 k
 perl-Event                                         x86_64                            1.20-1.fc17                                     fedora                             281 k
 perl-Event-Lib                                     x86_64                            1.03-16.fc17                                    fedora                              50 k
 perl-Glib                                          x86_64                            1.241-2.fc17                                    fedora                             347 k
 perl-Guard                                         x86_64                            1.022-1.fc17                                    fedora                              18 k
 perl-HTML-Parser                                   x86_64                            3.69-3.fc17                                     fedora                             111 k
 perl-HTML-Tagset                                   noarch                            3.20-10.fc17                                    fedora                              17 k
 perl-HTTP-Date                                     noarch                            6.00-3.fc17                                     fedora                              13 k
 perl-HTTP-Message                                  noarch                            6.03-1.fc17                                     fedora                              78 k
 perl-Heap                                          noarch                            0.80-10.fc17                                    fedora                              46 k
 perl-IO-AIO                                        x86_64                            4.15-1.fc17                                     fedora                             111 k
 perl-IO-Async                                      noarch                            0.29-7.fc17                                     fedora                             160 k
 perl-IO-Compress                                   noarch                            2.052-1.fc17                                    updates                            251 k
 perl-IO-Socket-SSL                                 noarch                            1.66-1.fc17                                     fedora                              81 k
 perl-IO-Tty                                        x86_64                            1.10-5.fc17                                     fedora                              39 k
 perl-LWP-MediaTypes                                noarch                            6.01-4.fc17                                     fedora                              20 k
 perl-Net-HTTP                                      noarch                            6.02-2.fc17                                     fedora                              27 k
 perl-Net-LibIDN                                    x86_64                            0.12-8.fc17                                     fedora                              27 k
 perl-Net-SSLeay                                    x86_64                            1.48-1.fc17                                     updates                            268 k
 perl-POE                                           noarch                            1.350-2.fc17                                    fedora                             583 k
 perl-Socket-GetAddrInfo                            x86_64                            0.19-1.fc17                                     fedora                              32 k
 perl-Socket6                                       x86_64                            0.23-8.fc17                                     fedora                              22 k
 perl-TermReadKey                                   x86_64                            2.30-14.fc17                                    fedora                              29 k
 perl-TimeDate                                      noarch                            1:1.20-6.fc17                                   fedora                              43 k
 perl-URI                                           noarch                            1.60-1.fc17                                     fedora                             104 k
 perl-common-sense                                  noarch                            3.5-1.fc17                                      fedora                              26 k
 squid                                              x86_64                            7:3.2.0.16-1.fc17                               fedora                             2.3 M

Transaction Summary
===============================================================================================================================================================================
Install  1 Package (+44 Dependent packages)

Total download size: 15 M
Installed size: 30 M
Is this ok [y/N]:


My main reason for asking for this feature was actually for EPEL 6. I'm more than happy to do any testing if need be. 

Thanks for the update on this. 

Dale

Comment 3 Gwyn Ciesla 2012-06-27 17:27:09 UTC
Ok.  I don't see an EL-6 build, but there is a branch.  If I can get it to build, I'll include LDAP.  I'll keep you posted.

Comment 4 Gwyn Ciesla 2012-06-27 18:00:44 UTC
Built, update coming, please test.

Comment 5 Fedora Update System 2012-06-27 18:02:23 UTC
squidGuard-1.4-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/squidGuard-1.4-9.el6

Comment 6 Fedora Update System 2012-06-28 16:08:37 UTC
Package squidGuard-1.4-9.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing squidGuard-1.4-9.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6271/squidGuard-1.4-9.el6
then log in and leave karma (feedback).

Comment 7 Dale Macartney 2012-07-06 19:55:30 UTC
Apologies for the delay all...

I've just tested the package, LDAP support is now working like a charm. 

Dale

Comment 8 Fedora Update System 2012-07-16 17:01:43 UTC
squidGuard-1.4-9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.